import { Injectable, Component, HostListener, Output, EventEmitter, Input, NgModule, defineInjectable } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DragDropFileService {
    constructor() { }
}
DragDropFileService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
DragDropFileService.ctorParameters = () => [];
/** @nocollapse */ DragDropFileService.ngInjectableDef = defineInjectable({ factory: function DragDropFileService_Factory() { return new DragDropFileService(); }, token: DragDropFileService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DragDropFileComponent {
    constructor() {
        this.filesDropped = new EventEmitter();
        this.filesHovered = new EventEmitter();
        this.lable = 'Add file';
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @param {?} $event
     * @return {?}
     */
    onDrop($event) {
        $event.preventDefault();
        /** @type {?} */
        let transfer = $event.dataTransfer;
        this.filesDropped.emit(transfer.files);
    }
    /**
     * @param {?} $event
     * @return {?}
     */
    onDragOver($event) {
        event.preventDefault();
        this.filesHovered.emit(true);
    }
    /**
     * @param {?} $event
     * @return {?}
     */
    onDragLeave($event) {
        this.filesHovered.emit(false);
    }
    /**
     * @param {?} event
     * @return {?}
     */
    mideaSelect(event) {
        this.filesDropped.emit(event.target.files);
    }
}
DragDropFileComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-drag-drop-file',
                template: `
  <label class="mmsg-file-placeholder" for="upload-files"  style="width: 400px;">
    <input (change)="mideaSelect($event)" multiple="true" type="file" class="hideuploadfile" id="upload-files">
    <p>{{lable}}</p>
</label>
  `,
                styles: [".mmsg-file-placeholder{border:2px dashed #dbdbdb;border-radius:4px;padding:20px;text-align:center;width:100%;display:inline-block}.mmsg-file-placeholder p{color:#8c8c8c;margin:0 auto;font-size:13px;line-height:16px;text-transform:none}.mmsg-file-placeholder p img{margin:0 10px 0 auto;padding:0;display:inline-block;vertical-align:middle}.mmsg-file-placeholder .hideuploadfile{position:absolute;width:0;height:0;opacity:0;visibility:hidden;pointer-events:none}"]
            }] }
];
/** @nocollapse */
DragDropFileComponent.ctorParameters = () => [];
DragDropFileComponent.propDecorators = {
    filesDropped: [{ type: Output }],
    filesHovered: [{ type: Output }],
    lable: [{ type: Input }],
    onDrop: [{ type: HostListener, args: ['drop', ['$event'],] }],
    onDragOver: [{ type: HostListener, args: ['dragover', ['$event'],] }],
    onDragLeave: [{ type: HostListener, args: ['dragleave', ['$event'],] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DragDropFileModule {
}
DragDropFileModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DragDropFileComponent],
                imports: [],
                exports: [DragDropFileComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { DragDropFileService, DragDropFileComponent, DragDropFileModule };

//# sourceMappingURL=drag-drop-file.js.map